weblog of key_amb

主にIT関連の技術メモ

RPMパッケージの強制インストール

参考サイト:http://cyberam.dip.jp/linux_foundation/proginstall/rpm_main.html

パッケージがすでにインストールされている場合や、パッケージに含まれるファイルがインストール済みの他のパッケージに含まれるファイルと重複した場合、
ダウングレードの場合もエラーとなる。

これを無視する場合は、

rpm -ihv --replacepkgs hogehoge-3.5-1.i386.rpm
rpm -ihv --replacefiles hogehoge-3.5-1.i386.rpm
rpm -ihv --oldpackage hogehoge-3.5-1.i386.rpm

オプション

  • --replacepkgs ... すでにインストールされているパッケージを無視してインストールする。
  • --replacefiles ... ファイルの重複を無視してインストールする。(重複ファイルは置き換えられる。)
  • --oldpackage ... ダウングレードを許可しインストールする。
  • --force ... 強制的にインストールする。(上記3つのオプションを指定したことと同じ。)